Page MenuHomePhabricator

elementary: make focus manager update_children and update_order an internal function to not expose list<>.
ClosedPublic

Authored by cedric on Jan 8 2020, 10:41 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jan 8 2020, 10:41 AM
zmike requested changes to this revision.Jan 8 2020, 11:46 AM

This should specify focus manager component in the commit log.

This revision now requires changes to proceed.Jan 8 2020, 11:46 AM
q66 accepted this revision.Jan 9 2020, 6:34 AM

otherwise looks good to me, but fix the thing @zmike said

cedric updated this revision to Diff 28060.Jan 9 2020, 11:04 AM
cedric retitled this revision from elementary: make update_children and update_order an internal function to not expose list<>. to elementary: make focus manager update_children and update_order an internal function to not expose list<>..

rebase and add focus to commit message.

bu5hm4n accepted this revision.Jan 29 2020, 12:40 AM

Lets land it after everyone agreed its good.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 30 2020, 8:10 AM
Closed by commit rEFLfa0fb44d0975: elementary: make focus manager update_children and update_order an internal… (authored by cedric, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.